XnCallbackT< FuncPtr > Struct Template Reference

`#include <XnEventT.h>`

## Public Member Functions

| XnCallbackT (FuncPtr func, void *cookie)

## Public Attributes

FuncPtr | pFunc
void * | pCookie

## Detailed Description

template<typename FuncPtr>
struct XnCallbackT< FuncPtr >

A struct for holding a callback function with its cookie

Template Parameters

  FuncPtr | The callback signature

## Constructor & Destructor Documentation

## XnCallbackT()

template<typename FuncPtr>

XnCallbackT< FuncPtr >::XnCallbackT | ( | FuncPtr | func,
|  | void * | cookie )

inline

## Member Data Documentation

## pCookie

template<typename FuncPtr>

void* XnCallbackT< FuncPtr >::pCookie

## pFunc

template<typename FuncPtr>

FuncPtr XnCallbackT< FuncPtr >::pFunc

The documentation for this struct was generated from the following file:

- XnEventT.h